Skip to main content
`Ctrl`+`K`

# skbio.embedding.SequenceVector

class skbio.embedding.SequenceVector(vector, sequence, **kwargs)

  Vector representation for a biological sequence.

  Parameters:
    vector 1D or 2D array_like

      The vector representation of the sequence. Typically a 1D array. Can also be a 2D array with only one row.

    sequence str, Sequence, or 1D ndarray

      Characters representing the sequence itself.

  See also

  `EmbeddingVector`
  `skbio.sequence.Sequence`

  Attributes

  `sequence` | String representation of the underlying sequence.

  Attributes (inherited)

  `embedding` | The embedding tensor.
  `ids` | IDs corresponding to each row of the embedding.
  `vector` | Vector representation for the biological entity.

  Methods (inherited)

  `bytes`() | Bytes representation of string encoding.
  `read`([format]) | Create a new `SequenceVector` instance from a file.
  `write`(file[, format]) | Write an instance of `SequenceVector` to a file.

  Special methods (inherited)

  `__eq__`(value, /) | Return self==value.
  `__ge__`(value, /) | Return self>=value.
  `__getstate__`(/) | Helper for pickle.
  `__gt__`(value, /) | Return self>value.
  `__hash__`(/) | Return hash(self).
  `__le__`(value, /) | Return self<=value.
  `__lt__`(value, /) | Return self<value.
  `__ne__`(value, /) | Return self!=value.
  `__str__`() | Return str(self).

  Details

  sequence

    String representation of the underlying sequence.